org.apache.xmlbeans.impl.xb.xsdschema

## Interface ComplexTypeDocument

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  ComplexTypeDocumentImpl

    public interface ComplexTypeDocument
    extends XmlObject

A document containing one complexType(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

### Field Summary

Fields
`static DocumentFactory<ComplexTypeDocument>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`TopLevelComplexType` `addNewComplexType()` Appends and returns a new empty "complexType" element
`TopLevelComplexType` `getComplexType()` Gets the "complexType" element
`void` `setComplexType(TopLevelComplexType complexType)` Sets the "complexType" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<ComplexTypeDocument> Factory

#### type

    static final SchemaType type

### Method Detail

#### getComplexType

    TopLevelComplexType getComplexType()

Gets the "complexType" element

#### setComplexType

    void setComplexType(TopLevelComplexType complexType)

Sets the "complexType" element

#### addNewComplexType

    TopLevelComplexType addNewComplexType()

Appends and returns a new empty "complexType" element